Package wx :: Class ScrollEvent

[frames | no frames]

## Type ScrollEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        ScrollEvent

A scroll event holds information about events sent from stand-alone scrollbars and sliders. Note that scrolled windows do not send instances of this event class, but send the `wx.ScrollWinEvent` instead.

# Events

> EVT_SCROLL | Used to bind all scroll events
> EVT_SCROLL_TOP | scroll-to-top events (minimum position)
> EVT_SCROLL_BOTTOM | scroll-to-bottom events (maximum position)
> EVT_SCROLL_LINEUP | line up events
> EVT_SCROLL_LINEDOWN | line down events
> EVT_SCROLL_PAGEUP | page up events
> EVT_SCROLL_PAGEDOWN | page down events
> EVT_SCROLL_THUMBTRACK | thumbtrack events (frequent events sent as the user drags the 'thumb')
> EVT_SCROLL_THUMBRELEASE | thumb release events
> EVT_SCROLL_CHANGED | End of scrolling

# Note

> The EVT_SCROLL_THUMBRELEASE event is only emitted when actually dragging the thumb using the mouse and releasing it (This EVT_SCROLL_THUMBRELEASE event is also followed by an EVT_SCROLL_CHANGED event).

> The EVT_SCROLL_CHANGED event also occurs when using the keyboard to change the thumb position, and when clicking next to the thumb (In all these cases the EVT_SCROLL_THUMBRELEASE event does not happen).

> In short, the EVT_SCROLL_CHANGED event is triggered when scrolling/ moving has finished. The only exception (unfortunately) is that changing the thumb position using the mousewheel does give a EVT_SCROLL_THUMBRELEASE event but NOT an EVT_SCROLL_CHANGED event.

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
int | ``GetOrientation`(self)` Returns wx.HORIZONTAL or wx.VERTICAL, depending on the orientation of the scrollbar.
int | ``GetPosition`(self)` Returns the position of the scrollbar.
| `SetOrientation(self, orient)`
| `SetPosition(self, pos)`

Property Summary
| `Orientation`: See `GetOrientation` and `SetOrientation`
| `Position`: See `GetPosition` and `SetPosition`
| `thisown`: The membership flag

Method Details

### __init__(self, commandType=wxEVT_NULL, winid=0, pos=0, orient=0)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

### GetOrientation(self)

Returns wx.HORIZONTAL or wx.VERTICAL, depending on the orientation of the scrollbar.

  Returns:
    int

### GetPosition(self)

Returns the position of the scrollbar.

  Returns:
    int

Property Details

### Orientation

See `GetOrientation` and `SetOrientation`

  Get Method:
    `GetOrientation`(self)
  Set Method:
    `SetOrientation`(self, orient)

### Position

See `GetPosition` and `SetPosition`

  Get Method:
    `GetPosition`(self)
  Set Method:
    `SetPosition`(self, pos)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:54 2007 | http://epydoc.sf.net